import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        id?: string | undefined;
        labelClass?: string | undefined;
        iconClass?: string | undefined;
        iconDivClass?: string | undefined;
        inputClass?: string | undefined;
        btnClass?: string | undefined;
        voiceBtnClass?: string | undefined;
        voiceIconClass?: string | undefined;
        placeholder?: string | undefined;
    };
    events: {
        submit: SubmitEvent;
        handleVoiceBtn: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type VoiceSearchProps = typeof __propDef.props;
export type VoiceSearchEvents = typeof __propDef.events;
export type VoiceSearchSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let id: string = '';
 * @prop export let labelClass: string = 'sr-only';
 * @prop export let iconClass: string = 'w-5 h-5 text-gray-500 dark:text-gray-400';
 * @prop export let iconDivClass: string = 'flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none';
 * @prop export let inputClass: string = 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5  dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500';
 * @prop export let btnClass: string = 'inline-flex items-center py-2.5 px-3 ml-2 text-sm font-medium text-white bg-blue-700 rounded-lg border border-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800';
 * @prop export let voiceBtnClass: string = 'flex absolute inset-y-0 right-0 items-center pr-3';
 * @prop export let voiceIconClass: string = 'w-4 h-4 text-gray-500 dark:text-gray-400 hover:text-gray-900 dark:hover:text-white';
 * @prop export let placeholder: string = 'Search Mockups, Logos, Design Templates...';
 */
export default class VoiceSearch extends SvelteComponentTyped<VoiceSearchProps, VoiceSearchEvents, VoiceSearchSlots> {
}
export {};
//# sourceMappingURL=VoiceSearch.svelte.d.ts.map